org.apache.activemq.artemis.spi.core.security.scram

## Class ScramUtils.NewPasswordByteArrayData

- java.lang.Object
- - org.apache.activemq.artemis.spi.core.security.scram.ScramUtils.NewPasswordByteArrayData

- Enclosing class:
    ScramUtils

      public static class ScramUtils.NewPasswordByteArrayData
      extends Object

  New password data in byte array format

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte[]` | `clientKey` Client key
    `int` | `iterations` Iterations for slating
    `byte[]` | `salt` Used salt
    `byte[]` | `saltedPassword` Salted password
    `byte[]` | `serverKey` Server key
    `byte[]` | `storedKey` Stored key

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewPasswordByteArrayData(byte[] saltedPassword, byte[] salt, byte[] clientKey, byte[] storedKey, byte[] serverKey, int iterations)` Creates new NewPasswordByteArrayData

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### saltedPassword

          public final byte[] saltedPassword

      Salted password

    - #### salt

          public final byte[] salt

      Used salt

    - #### clientKey

          public final byte[] clientKey

      Client key

    - #### storedKey

          public final byte[] storedKey

      Stored key

    - #### serverKey

          public final byte[] serverKey

      Server key

    - #### iterations

          public final int iterations

      Iterations for slating

  - ### Constructor Detail

    - #### NewPasswordByteArrayData

          public NewPasswordByteArrayData(byte[] saltedPassword,
                                          byte[] salt,
                                          byte[] clientKey,
                                          byte[] storedKey,
                                          byte[] serverKey,
                                          int iterations)

      Creates new NewPasswordByteArrayData
      Parameters:
        `saltedPassword` - Salted password
        `salt` - Used salt
        `clientKey` - Client key
        `storedKey` - Stored key
        `serverKey` - Server key
        `iterations` - Iterations for slating

Copyright © 2021 The Apache Software Foundation. All rights reserved.